# Current

[Session Management](/guide/ko-kr/features/workflow-integration-and-external-system-connectivity/session-management-webrtc-only.md)는 WebRTC로 Stream을 재생할 때, 각각의 재생 (Session)마다 고유한 Session 이름을 부여하여 운영 편의성을 높이는 기능입니다. 다음은 각 Session 별 통계를 조회할 수 있는 API 입니다.

## Session 통계

> **Request**

<details>

<summary><mark style="color:blue;">GET</mark> /v1/stats/current/vhosts/{vhost}/apps/{app}/streams/{stream}/sessions/{session}</summary>

**Header**

```http
Authorization: Basic {credentials}

# Authorization
    Credentials for HTTP Basic Authentication created with <AccessToken>
```

</details>

> **Responses**

<details>

<summary><mark style="color:blue;">200</mark> Ok</summary>

The request has succeeded

**Header**

```
Content-Type: application/json
```

**Body**

```json
{
    "message": "OK",
    "response": {
        "avgThroughputOut": 237284,
        "createdTime": "2025-10-28T12:12:30.567+09:00",
        "lastSentTime": "2025-10-28T12:12:35.504+09:00",
        "lastThroughputOut": 30345,
        "lastUpdatedTime": "2025-10-28T12:12:35.504+09:00",
        "maxThroughputOut": 240793,
        "totalBytesOut": 149971
    },
    "statusCode": 200
}
```

</details>

<details>

<summary><mark style="color:red;">401</mark> Unauthorized</summary>

Authentication required

**Header**

```http
WWW-Authenticate: Basic realm="OvenMediaEngine"
```

**Body**

```json
{
    "message": "[HTTP] Authorization header is required to call API (401)",
    "statusCode": 401
}
```

</details>

<details>

<summary><mark style="color:red;">404</mark> Not Found</summary>

The given vhost or app or stream or session name could not be found.

**Body**

```json
{
    "message": "Not Found",
    "response": "Could not find the session",
    "statusCode": 404
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ovenmediaengine-enterprise.gitbook.io/guide/ko-kr/features/rest-api/v1/statistics/current.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
